--- branches/pd-extended/0.42/pd/extra/bonk~/bonk~.c	2009/06/08 15:04:10	11713
+++ branches/pd-extended/0.42/pd/extra/bonk~/bonk~.c	2009/06/08 17:43:16	11714
@@ -53,7 +53,7 @@
 #include <stdio.h>
 #include <string.h>
 
-#ifdef NT
+#ifdef _MSC_VER
 #pragma warning (disable: 4305 4244)
 #endif
  
@@ -82,7 +82,12 @@
 #endif
 
 #ifndef _MSC_VER
-#include <alloca.h>
+# ifdef __MINGW32__
+/* alloca is in malloc.h in MinGW */
+#  include <malloc.h>
+# else
+#  include <alloca.h>
+# endif
 #endif
 
 /* ------------------------ bonk~ ----------------------------- */
--- branches/pd-extended/0.42/pd/extra/fiddle~/fiddle~.c	2009/06/08 15:04:10	11713
+++ branches/pd-extended/0.42/pd/extra/fiddle~/fiddle~.c	2009/06/08 17:43:16	11714
@@ -28,7 +28,7 @@
  *
  */
 
-#ifdef NT
+#ifdef _MSC_VER /* this is only needed with Microsoft's compiler */
 #define flog log
 #define fexp exp
 #define fsqrt sqrt
--- branches/pd-extended/0.42/pd/extra/pique/pique.c	2009/06/08 15:04:10	11713
+++ branches/pd-extended/0.42/pd/extra/pique/pique.c	2009/06/08 17:43:16	11714
@@ -7,7 +7,7 @@
 #include "m_pd.h"
 #include <math.h>
 #include <stdio.h>
-#ifdef NT
+#ifdef _MSC_VER /* this is only needed with Microsoft's compiler */
 #pragma warning( disable : 4244 )
 #pragma warning( disable : 4305 )
 #endif
--- branches/pd-extended/0.42/pd/extra/sigmund~/sigmund~.c	2009/06/08 15:04:10	11713
+++ branches/pd-extended/0.42/pd/extra/sigmund~/sigmund~.c	2009/06/08 17:43:16	11714
@@ -13,7 +13,7 @@
 and usable in other contexts.  The one external requirement is a real
 single-precision FFT, invoked as in the Mayer one: */
 
-#ifdef NT
+#ifdef _MSC_VER /* this is only needed with Microsoft's compiler */
 __declspec(dllimport) extern
 #endif
 void mayer_realfft(int npoints, float *buf);
@@ -26,13 +26,13 @@
 #include <math.h>
 #include <stdio.h>
 #include <string.h>
-#ifdef NT
+#ifdef _WIN32
 #include <malloc.h>
 #else
 #include <alloca.h>
 #endif
 #include <stdlib.h>
-#ifdef NT
+#ifdef _MSC_VER /* this is only needed with Microsoft's compiler */
 #pragma warning( disable : 4244 )
 #pragma warning( disable : 4305 )
 #endif
